Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.RegexExprAltContext

- org.apache.groovy.parser.antlr4.GroovyParser.RegexExprAltContext

-     public static class GroovyParser.RegexExprAltContext
      extends GroovyParser.ExpressionContext

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `GroovyParser.ExpressionContext` | `left` |
    `Token` | `op` |
    `GroovyParser.ExpressionContext` | `right` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `RegexExprAltContext(GroovyParser.ExpressionContext ctx)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public TerminalNode` | `REGEX_FIND()`
    `` | `public TerminalNode` | `REGEX_MATCH()`
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public List<? extends ExpressionContext>` | `expression()`
    `` | `public GroovyParser.ExpressionContext` | `expression(int i)`
    `` | `public List<? extends NlsContext>` | `nls()`
    `` | `public NlsContext` | `nls(int i)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyParser.ExpressionContext` | `copyFrom, getRuleIndex`
    `class GroovyParser.GroovyParserRuleContext` | `getMetaDataMap, setMetaDataMap`

- - ### Field Detail

    - #### public GroovyParser.ExpressionContext left

    - #### public Token op

    - #### public GroovyParser.ExpressionContext right

  - ### Constructor Detail

    - #### public RegexExprAltContext(GroovyParser.ExpressionContext ctx)

  - ### Method Detail

    - #### public TerminalNode REGEX_FIND()

    - #### public TerminalNode REGEX_MATCH()

    - #### <Result> @Override
      public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public List<? extends ExpressionContext> expression()

    - #### public GroovyParser.ExpressionContext expression(int i)

    - #### public List<? extends NlsContext> nls()

    - #### public NlsContext nls(int i)